--- old/usr/src/uts/common/os/sunddi.c	2015-11-24 09:35:13.507963012 -0500
+++ new/usr/src/uts/common/os/sunddi.c	2015-11-24 09:35:13.511894664 -0500
@@ -8368,8 +8368,8 @@
 	 * locked) to be allowed for LONGTERM.
 	 */
 	if (flags & DDI_UMEMLOCK_LONGTERM) {
-		extern  struct seg_ops segspt_shmops;
-		extern	struct seg_ops segdev_ops;
+		extern const struct seg_ops segspt_shmops;
+		extern const struct seg_ops segdev_ops;
 		AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
 		for (seg = as_segat(as, addr); ; seg = AS_SEGNEXT(as, seg)) {
 			if (seg == NULL || seg->s_base > addr + len)
